%global pypi_name pywizlight

Name:           python-%{pypi_name}
Version:        0.3.4
Release:        1%{?dist}
Summary:        Python connector for WiZ light devices

License:        MIT
URL:            https://github.com/sbidy/pywizlight
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
A Python connector for WiZ light devices.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A Python connector for WiZ light devices.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/

%changelog
* Mon Oct 26 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.4-1
- Update to new upstream version 0.3.4 (#1884993)

* Fri Oct 02 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.3.3-1
- Initial package for Fedora
